Get API Key
curl --request GET \
--url https://api.example.com/v1/api-keys/{key_id}import requests
url = "https://api.example.com/v1/api-keys/{key_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/api-keys/{key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/api-keys/{key_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/api-keys/{key_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/api-keys/{key_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/api-keys/{key_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"_id": 1024,
"name": "Development API Key",
"permissions": [
"read",
"write"
],
"expiration_date": "2027-11-01T00:00:00Z",
"created_at": "2026-11-01T00:00:00Z",
"revoked": false,
"created_by_user_id": "user_123",
"verbex_id": "vx_123",
"user_org_id": "org_123",
"user_workspace_id": null,
"api_key": "<hashed value>"
}{
"status_code": 400,
"status": "error",
"message": "Validation Error",
"error_details": "Number of days until the API key expires, between 1 and 365 days"
}{
"status_code": 400,
"status": "error",
"message": "Validation Error",
"error_details": "Number of days until the API key expires, between 1 and 365 days"
}{
"status_code": 400,
"status": "error",
"message": "Validation Error",
"error_details": "Number of days until the API key expires, between 1 and 365 days"
}API Keys
Get API Key
Get the details of an API key. The plain-text key is not returned; api_key holds the stored hashed value.
GET
/
v1
/
api-keys
/
{key_id}
Get API Key
curl --request GET \
--url https://api.example.com/v1/api-keys/{key_id}import requests
url = "https://api.example.com/v1/api-keys/{key_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/api-keys/{key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/api-keys/{key_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/api-keys/{key_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/api-keys/{key_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/api-keys/{key_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"_id": 1024,
"name": "Development API Key",
"permissions": [
"read",
"write"
],
"expiration_date": "2027-11-01T00:00:00Z",
"created_at": "2026-11-01T00:00:00Z",
"revoked": false,
"created_by_user_id": "user_123",
"verbex_id": "vx_123",
"user_org_id": "org_123",
"user_workspace_id": null,
"api_key": "<hashed value>"
}{
"status_code": 400,
"status": "error",
"message": "Validation Error",
"error_details": "Number of days until the API key expires, between 1 and 365 days"
}{
"status_code": 400,
"status": "error",
"message": "Validation Error",
"error_details": "Number of days until the API key expires, between 1 and 365 days"
}{
"status_code": 400,
"status": "error",
"message": "Validation Error",
"error_details": "Number of days until the API key expires, between 1 and 365 days"
}Path Parameters
Numeric ID of the API key
Pattern:
^\d+$Response
Successful Response
Unique identifier for this API key
The descriptive name given to this API key
When this API key expires and becomes invalid (UTC)
When this API key was created (UTC)
Whether this API key has been revoked
List of permission scopes granted to this API key
Identifier of the user who created this API key
Verbex ID of the key owner
Organization the key belongs to
Workspace the key is scoped to, if any
The stored (hashed) key value. The usable plain-text key is only returned once, when the key is created.

